Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1070564 - Failure to add domain via engine-manage-domains if the kerberos realm is not an uppercase of the domain
Summary: Failure to add domain via engine-manage-domains if the kerberos realm is not ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-config
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Yair Zaslavsky
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On: 1070465
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-27 05:45 UTC by Barak
Modified: 2015-03-05 00:19 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1070465
Environment:
Last Closed: 2014-02-27 05:47:42 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 25125 None None None Never

Description Barak 2014-02-27 05:45:43 UTC
+++ This bug was initially created as a clone of Bug #1070465 +++

Description of problem:

In some setups it is possible to have a situation in which the kerberos realm is not an upper case of the domain.
In these cases wrong entries at the [domain_realm] section will be created.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

wrong entries are created [domain_realm] section.
It is impossible to add domains and then log in.


Expected results:

Provide a way to bypass this issue, and allow a proper creation of [domain_realm] section (proper mapping of domains to realms) so adding domains + login via admin or user portal is possible.



Additional info:

--- Additional comment from Yair Zaslavsky on 2014-02-26 19:05:23 EST ---

In order to override the [domain_realm] section, this patch suggests to provide an external file via setting its full path at
/etc/ovirt-engine/engine-manage-domains/engine-manage-domains.conf

by setting domainRealmMappingFile property to point to the file containing domain real mapping in format of

domain1=REALM1
domain2=REALM2

(similar to the [domain_realm] section in krb5.conf file)


Note You need to log in before you can comment on or make changes to this bug.